Package org.eclipse.birt.core.template

# Interface ParserConstants

All Known Implementing Classes:
  `Parser`, `ParserTokenManager`

public interface ParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`A_EQ`
RegularExpression Id.
`static final int`
`A_NAME`
RegularExpression Id.
`static final int`
`ALPHA`
RegularExpression Id.
`static final int`
`ALPHANUM`
RegularExpression Id.
`static final int`
`ATTLIST`
Lexical state.
`static final int`
`ATTRVAL`
Lexical state.
`static final int`
`CDATA`
RegularExpression Id.
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`ELEMENTC`
RegularExpression Id.
`static final int`
`END_IMAGE`
RegularExpression Id.
`static final int`
`END_VALUEOF`
RegularExpression Id.
`static final int`
`END_VIEWTIMEVALUEOF`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`NUM`
RegularExpression Id.
`static final int`
`START_IMAGE`
RegularExpression Id.
`static final int`
`START_VALUEOF`
RegularExpression Id.
`static final int`
`START_VIEWTIMEVALUEOF`
RegularExpression Id.
`static final int`
`TAGC`
RegularExpression Id.
`static final int`
`TEXT`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### START_VALUEOF

static final int START_VALUEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### END_VALUEOF

static final int END_VALUEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### START_VIEWTIMEVALUEOF

static final int START_VIEWTIMEVALUEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### END_VIEWTIMEVALUEOF

static final int END_VIEWTIMEVALUEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### START_IMAGE

static final int START_IMAGE
RegularExpression Id.

See Also:
  - Constant Field Values

### END_IMAGE

static final int END_IMAGE
RegularExpression Id.

See Also:
  - Constant Field Values

### TEXT

static final int TEXT
RegularExpression Id.

See Also:
  - Constant Field Values

### TAGC

static final int TAGC
RegularExpression Id.

See Also:
  - Constant Field Values

### ELEMENTC

static final int ELEMENTC
RegularExpression Id.

See Also:
  - Constant Field Values

### A_EQ

static final int A_EQ
RegularExpression Id.

See Also:
  - Constant Field Values

### ALPHA

static final int ALPHA
RegularExpression Id.

See Also:
  - Constant Field Values

### NUM

static final int NUM
RegularExpression Id.

See Also:
  - Constant Field Values

### ALPHANUM

static final int ALPHANUM
RegularExpression Id.

See Also:
  - Constant Field Values

### A_NAME

static final int A_NAME
RegularExpression Id.

See Also:
  - Constant Field Values

### CDATA

static final int CDATA
RegularExpression Id.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### ATTLIST

static final int ATTLIST
Lexical state.

See Also:
  - Constant Field Values

### ATTRVAL

static final int ATTRVAL
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.